import 'package:flutter/material.dart';

import 'mvu/page.dart';
import 'vanilla/page.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: HomePage(),
    );
  }
}

class HomePage extends StatelessWidget {
  const HomePage({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('MVU'),
      ),
      body: ListView(
        children: [
          Card(
            child: ListTile(
              title: Text('Vanilla'),
              onTap: () => Navigator.push(
                context,
                MaterialPageRoute(
                  builder: (context) => VanillaTodoPage(),
                ),
              ),
            ),
          ),
          Card(
            child: ListTile(
              title: Text('MVU'),
              onTap: () => Navigator.push(
                context,
                MaterialPageRoute(
                  builder: (context) => MvuPage(),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
