import 'package:flutter/material.dart';
import 'package:mvu/mvu.dart';

import 'store.dart';

typedef ChildState MvuProxyStateSelector<State, ChildState>(State state);

class MvuProxyStore<State, ChildState> extends ChangeNotifier
    implements MvuStore<ChildState> {
  final MvuStore<State> parent;
  final MvuProxyStateSelector<State, ChildState> selector;
  MvuProxyStore({
    @required this.parent,
    @required this.selector,
  });

  @override
  void dispatch(action) {
    if (action is AsyncAction<ChildState>) {
      final AsyncAction<State> parentAction = (_) => action(this);
      parent.dispatch(parentAction);
    } else {
      parent.dispatch(action);
    }
  }

  @override
  ChildState get state => selector(parent.state);
}
