import 'package:flutter/material.dart';
import 'package:mvu/src/action.dart';

typedef State Reducer<State>(State previousState, dynamic action);

class MvuStore<State> extends ChangeNotifier {
  State _state;
  State get state => _state;

  final Reducer<State> _reducer;

  MvuStore({
    @required State initialState,
    @required Reducer<State> reducer,
  })  : this._reducer = reducer,
        this._state = initialState;

  void dispatch(dynamic action) {
    if (action is AsyncAction<State>) {
      action(this);
    } else {
      _state = _reducer(_state, action);
      notifyListeners();
    }
  }
}
